Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160322 - Wrong default permissions for audio devices
Summary: Wrong default permissions for audio devices
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 13:40 UTC by Renato Ramonda
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-25 12:33:09 UTC


Attachments (Terms of Use)

Description Renato Ramonda 2005-06-14 13:40:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; it-IT; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
The default permissions for the auto-created audio devices are too restrictive: they may work for a single user desktop, but fail (very) short for a multiuser one.

Given the multiuser nature of linux this does not seem wise.

Default permissions for audio devices:

660 user:root

This means that if i login in X with userA and then use the user switcher applet, or another mean to get a concurrent login with userB, then userB cannot access the audio devices.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Login as userA
2. Use the Fast-User-Switching-Applet (or just X --display :9) to login as userB
3. Launch sound player


  

Actual Results:  The sound player app complains that it cannot access the device.

Expected Results:  The sound app should work if userA is not actively using a sound app itself.

Additional info:

Solution is fairly simple:

Default permissions to audio devices:

660  user:audio

And then assign by default users to the audio group at creation time.

Comment 1 M.Seiler 2005-08-18 19:31:18 UTC
Same Problem with Fedora Core 4

How can I fix this?

Comment 2 Harald Hoyer 2005-08-25 12:33:09 UTC
Only one console user will and can use console devices.
Fast-User-Switching-Applet should then use the pam_console mechanism.

Comment 3 Renato Ramonda 2005-08-25 13:47:45 UTC
Well, for a "home computer" it seems to me a perfectly sensible choice to have
all users (or all users belonging to a group) able to use the audio device.

Could this maybe become a configurable switch?
(I'll investigate the pam_console mechanism you cite, in any case)

Thanks, Renato


Note You need to log in before you can comment on or make changes to this bug.